Subject: [eman] questions to draft-quittek-power-mib-02 draft

From: Jingwei Zhang <[email-masked]>
Date: Mon, 23 May 2011 08:50:00 +0800 (CST)

Hi,
 
I noticed  "loadBasedEstimation (4)", "deviceBasedEstimation (5)" is defined in "energyMeasurementMethod", which is in the energy MIB of [draft-quittek-power-mib-02]. I am a student interested in energy consumption estimation of PCs, wondering if there are some theoretical bases about energy consumption estimation. 
 
Recently, I am doing some implementations based on eman architecture , part of the work is about energy consumption estimation of the PCs, but I wonder if this work is valuable. Comments are expected.
 
Ps:
EnergyEntry ::=
       SEQUENCE {
          energyConsumerId             Integer32,
          energyConsumerOid            OBJECT IDENTIFIER,
          energySensorOperStatus       EntitySensorStatus,
          energyNominalSupplyVoltage   Unsigned32,
          energyElectricSupplyType     INTEGER,
          energyTotalEnergy            Unsigned32,
          energyEnergyUnitMultiplier   UnitMultiplier,
          energyEnergyPrecision        Integer32,
          energyMeasurementMethod      INTEGER,
          。。。。。。
       }
 
energyMeasurementMethod OBJECT-TYPE
     SYNTAX INTEGER {
                       directEnergyMeasurement(1),
                       powerOversampling(2),
                       powerSampling(3),
                       loadBasedEstimation(4),
                       deviceBasedEstimation(5),
                       unknown(6)
            }
 
Best Regards